Sandbox
Help

Crypto Ramp API2.0.0

Revolut’s Crypto Ramp API allows you to integrate with Revolut and redirect users directly to our Ramp checkout experience, providing a smooth onramp and offramp experience for your users. The API endpoints are organised into thematic groups and let you leverage the following features:

  • Partners - retrieve supported assets and exchange quotes, and redirect customers to buy or sell crypto
  • Webhooks - track buy and sell order lifecycles with webhooks

For more information, see the guides: Leverage the Crypto Ramp API and Work with Webhooks -> Track order and payment lifecycle

Authentication

Security scheme type:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Partners

The Partners endpoints let you retrieve supported assets and exchange quotes, display them on your website, and redirect customers to buy or sell crypto.

For more details, see the guides: Leverage the Crypto Ramp API.

Retrieve buy configuration

Use this endpoint for the buy (on-ramp) flow. Retrieve the Revolut Ramp configuration for buying crypto with fiat, such as available fiat currencies and crypto tokens with corresponding limits and supported countries.

For more information, see the guides: Leverage the Crypto Ramp API -> Get your configuration details.

Request

Header parameters
X-API-KEY

Response

OK

Body
object
version
stringrequired
countries
arrayrequired
fiat
arrayrequired
crypto
arrayrequired
feePercentages
array
payment_methods
arrayrequired
get/config
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/config" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "version": "1.0.0",
  "countries": [
    "GB",
    "US",
    "PT",
    "FR"
  ],
  "fiat": [
    {
      "currency": "GBP",
      "min_limit": 50,
      "max_limit": 500
    },
    {
      "currency": "USD",
      "min_limit": 60,
      "max_limit": 600
    },
    {
      "currency": "EUR",
      "min_limit": 60,
      "max_limit": 600
    }
  ],
  "crypto": [
    {
      "id": "BTC",
      "currency": "BTC",
      "blockchain": "BITCOIN"
    },
    {
      "id": "ETH",
      "currency": "ETH",
      "blockchain": "ETHEREUM"
    },
    {
      "id": "USDT-ETH",
      "currency": "USDT",
      "blockchain": "ETHEREUM",
      "smartContractAddress": 1.2488751460129641e+48
    },
    {
      "id": "USDT-OPTIMISM",
      "currency": "USDT",
      "blockchain": "OPTIMISM",
      "smartContractAddress": 8.488563199836144e+47
    }
  ],
  "feePercentages": [
    0.8,
    1
  ],
  "payment_methods": [
    "card",
    "revolut",
    "apple-pay",
    "google-pay"
  ]
}

Retrieve a buy order quote

Use this endpoint for the buy (on-ramp) flow. Retrieve a buy order quote for exchanging fiat for crypto, including the current exchange rate, total crypto amount and fees. Use it to display potential exchange rate to your customer.

For more information, see the guides: Leverage the Crypto Ramp API -> Get an order quote.

Request

Query parameters
fiat
stringrequired
amount
number(float)required
crypto
stringrequired
payment
stringrequired
region
stringrequired
feePercentage
number(float)
walletAddress
string

Response

OK

Body
object
service_fee
objectrequired
network_fee
objectrequired
crypto
objectrequired
partner_fee
objectrequired
get/quote
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/quote?fiat=string&amount=123&crypto=string&payment=google-pay&region=string&feePercentage=123&walletAddress=string" \
  -H "X-API-KEY: <yourSecretApiKey>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "service_fee": {
    "amount": 3.76,
    "currency": "USD"
  },
  "network_fee": {
    "amount": 0.91,
    "currency": "USD"
  },
  "crypto": {
    "amount": 0.10604352,
    "currencyId": "ETH"
  },
  "partner_fee": {
    "amount": 0.77,
    "currency": "USD"
  }
}

Retrieve a buy redirect URL

Use this endpoint for the buy (on-ramp) flow. Retrieve a redirect URL to the Ramp app widget for the provided buy parameters. Use it to redirect the customer to Revolut Ramp to buy crypto with fiat.

The amount in the Redirect URL is provided in minor currency units. For example, GBP 12.00 is represented as 1200.

For more information, see the guides: Leverage the Crypto Ramp API -> Get a Revolut Ramp Redirect URL.

Request

Header parameters
X-API-KEY
Query parameters
fiat
stringrequired
amount
number(float)required
crypto
stringrequired
payment
stringrequired
region
stringrequired
wallet
stringrequired
orderId
string(uuid | ulid)
feePercentage
number(float)
partnerRedirectUrl
string
additionalProperties
string

Response

The requested redirect URL

The amount in the Redirect URL is provided in minor currency units. For example, GBP 12.00 is represented as 1200.

Body
object
ramp_redirect_url
string(uri)required
get/buy
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/buy?fiat=string&amount=123&crypto=string&payment=google-pay&region=string&wallet=string&orderId=uuid%20%7C%20ulid&feePercentage=123&partnerRedirectUrl=string&additionalProperties=string" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "ramp_redirect_url": "https://ramp.revolut.com?fiatCurrency=GBP&amount=12345&cryptoCurrency=ETH&walletAddress=0x96e2B7Bf479f84e7A0a94f0620290B7D3E08f5EF&countryCode=GB&partnerId=a01798bc-7f0b-14ed-a12b-0e3fac1209ad&externalOrderId=2d1769bc-7aab-92ed-a10b-0232ac12090d&disableFiatAmount=true&disableCryptoCurrency=true&disableWalletAddress=true&disableCountryCode=true&partnerRedirectUrl=https%3A%2F%2Fcrypto.partner.com%2Forder%3ForderId%3D2d1769bc-7aab-92ed-a10b-0232ac12090d"
}

Retrieve a buy order

Use this endpoint for the buy (on-ramp) flow. Retrieve a buy order by the order_id provided in the path and the wallet address provided as a query parameter.

For more information, see the guides: Leverage the Crypto Ramp API -> Get an order.

Request

Header parameters
X-API-KEY
Path parameters
order_id
string(uuid | ulid)required
Query parameters
wallet
stringrequired

Response

OK

Body
object
id
string(uuid)required
fiat
objectrequired
crypto
objectrequired
fees
objectrequired
exchange_rate
number(float)required
payment
stringrequired
created_at
string(date-time)required
updated_at
string(date-time)required
status
stringrequired
fail_reason
string
wallet
stringrequired
transaction_hash
string
additionalProperties
object
fees_partner_currency
objectrequired
get/orders/{order_id}
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/orders/uuid | ulid?wallet=string" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "id": "a01868cc-71ab-d2ed-a10b-0a32ac1c0b02",
  "fiat": {
    "amount": 101.22,
    "currency": "USD"
  },
  "crypto": {
    "amount": 0.10604352,
    "currencyId": "ETH"
  },
  "fees": {
    "ramp_fee": {
      "amount": 2.75,
      "currency": "USD"
    },
    "partner_fee": {
      "amount": 1.01,
      "currency": "USD"
    },
    "network_fee": {
      "amount": 0.91,
      "currency": "USD"
    }
  },
  "exchange_rate": 0.00089088,
  "payment": "card",
  "created_at": "2022-12-26T11:32:10Z",
  "updated_at": "2022-12-26T11:33:54Z",
  "status": "COMPLETED",
  "wallet": "0x96e2B7Bf479f84e7A0a94f0620290B7D3E08f5EF",
  "transaction_hash": "76cfb3b4f0acd595fa5b24036e86fd21d3c7b9887b2c8e3d4007598e4cbe6957",
  "fees_partner_currency": {
    "ramp_fee": {
      "amount": 2.35,
      "currency": "EUR"
    },
    "partner_fee": {
      "amount": 0.9,
      "currency": "EUR"
    },
    "network_fee": {
      "amount": 0.78,
      "currency": "EUR"
    }
  }
}

Retrieve all buy orders

Request

Header parameters
X-API-KEY
Query parameters
start
string(date)required
end
string(date)required
skip
integer(int32)
limit
integer(int32)

Response

OK

Body
array of object
id
string(uuid)required
fiat
objectrequired
crypto
objectrequired
fees
objectrequired
exchange_rate
number(float)required
payment
stringrequired
created_at
string(date-time)required
updated_at
string(date-time)required
status
stringrequired
fail_reason
string
wallet
stringrequired
transaction_hash
string
additionalProperties
object
fees_partner_currency
objectrequired
get/orders
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/orders?start=2024-01-01&end=2024-01-01&skip=0&limit=100" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

[
  {
    "id": "a01868cc-71ab-d2ed-a10b-0a32ac1c0b02",
    "fiat": {
      "amount": 101.22,
      "currency": "USD"
    },
    "crypto": {
      "amount": 0.10604352,
      "currencyId": "ETH"
    },
    "fees": {
      "ramp_fee": {
        "amount": 2.75,
        "currency": "USD"
      },
      "partner_fee": {
        "amount": 1.01,
        "currency": "USD"
      },
      "network_fee": {
        "amount": 0.91,
        "currency": "USD"
      }
    },
    "exchange_rate": 0.00089088,
    "payment": "card",
    "created_at": "2022-12-26T11:32:10Z",
    "updated_at": "2022-12-26T11:33:54Z",
    "status": "COMPLETED",
    "wallet": "0x96e2B7Bf479f84e7A0a94f0620290B7D3E08f5EF",
    "transaction_hash": "76cfb3b4f0acd595fa5b24036e86fd21d3c7b9887b2c8e3d4007598e4cbe6957",
    "fees_partner_currency": {
      "ramp_fee": {
        "amount": 2.35,
        "currency": "EUR"
      },
      "partner_fee": {
        "amount": 0.9,
        "currency": "EUR"
      },
      "network_fee": {
        "amount": 0.78,
        "currency": "EUR"
      }
    }
  },
  {
    "id": "3afb8396-1cee-4562-bd0f-5aea5e674da9",
    "fiat": {
      "amount": 11.55,
      "currency": "GBP"
    },
    "crypto": {
      "amount": 0.00889211,
      "currency": "ETH"
    },
    "fees": {
      "ramp_fee": {
        "amount": 2.4,
        "currency": "GBP"
      },
      "partner_fee": {
        "amount": 0.8,
        "currency": "GBP"
      },
      "network_fee": {
        "amount": 0.75,
        "currency": "GBP"
      }
    },
    "exchange_rate": 0.00076988,
    "payment": "card",
    "created_at": "2022-01-03T08:44:38Z",
    "updated_at": "2022-01-14T11:37:02Z",
    "status": "COMPLETED",
    "wallet": "1PUyin99nPbdm3NTa2BViJ1JsEe8e8iAcs",
    "transaction_hash": "d276938168a948e8eb5c99515baf9fb209c00b24c9521f0d4970c5e9f4dcc886",
    "fees_partner_currency": {
      "ramp_fee": {
        "amount": 2.89,
        "currency": "EUR"
      },
      "partner_fee": {
        "amount": 0.97,
        "currency": "EUR"
      },
      "network_fee": {
        "amount": 0.91,
        "currency": "EUR"
      }
    }
  }
]

Retrieve sell configuration

Use this endpoint for the sell (off-ramp) flow. Retrieve the Revolut Ramp configuration for selling crypto for fiat, such as supported countries, fiat currencies and limits, crypto tokens, and payout methods.

Use the returned values to check eligibility and to populate the parameters required by /sell-quote and /sell.

Request

Header parameters
X-API-KEY

Response

OK

Body
object
version
stringrequired
countries
arrayrequired
fiat
arrayrequired
crypto
arrayrequired
payout_methods
arrayrequired
get/sell-config
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/sell-config" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "version": "1.0.0",
  "countries": [
    "GB",
    "PT",
    "FR"
  ],
  "fiat": [
    {
      "currency": "GBP",
      "min_limit": 5,
      "max_limit": 10000
    },
    {
      "currency": "EUR",
      "min_limit": 6,
      "max_limit": 11000
    }
  ],
  "crypto": [
    {
      "id": "BTC",
      "currency": "BTC",
      "blockchain": "BITCOIN"
    },
    {
      "id": "ETH",
      "currency": "ETH",
      "blockchain": "ETHEREUM"
    },
    {
      "id": "USDT-ETH",
      "currency": "USDT",
      "blockchain": "ETHEREUM",
      "smartContractAddress": 1.2488751460129641e+48
    }
  ],
  "payout_methods": [
    "revolut"
  ]
}

Retrieve a sell order quote

Use this endpoint for the sell (off-ramp) flow. Retrieve the estimated fiat proceeds and fees for selling crypto. Use it to display the estimated payout and fees to your customer before redirecting them via /sell.

Request

Header parameters
X-API-KEY
Query parameters
fiat
string(ISO 4217)required
amount
number(float)required
crypto
stringrequired
payment
stringrequired
region
stringrequired

Response

OK

Body
object
service_fee
objectrequired
partner_fee
object
fiat
objectrequired
get/sell-quote
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/sell-quote?fiat=ISO%204217&amount=123&crypto=string&payment=revolut&region=string" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "service_fee": {
    "amount": 2,
    "currency": "GBP"
  },
  "partner_fee": {
    "amount": 1,
    "currency": "GBP"
  },
  "fiat": {
    "amount": 98,
    "currency": "GBP"
  }
}

Retrieve a sell redirect URL

Use this endpoint for the sell (off-ramp) flow. Retrieve a redirect URL to the Ramp app widget for the provided sell parameters. Use it to redirect the customer to Revolut Ramp to sell crypto for fiat.

The amount in the Redirect URL is provided in the crypto currency's minor units, i.e. its smallest unit given its decimal precision (for example, satoshis for BTC, wei for ETH). For example, 0.064 ETH (18 decimals) is represented as 64000000000000000, and 0.05 BTC (8 decimals) is represented as 5000000.

After the customer completes the sell, track the order status using Webhooks or by calling /sell-orders/{order_id}.

Request

Header parameters
X-API-KEY
Query parameters
fiat
string(ISO 4217)required
amount
number(float)required
crypto
stringrequired
payment
stringrequired
region
stringrequired
wallet
string
orderId
string(uuid | ulid)
partnerRedirectUrl
string(uri)

Response

The requested redirect URL

The amount in the Redirect URL is provided in the crypto currency's minor units, i.e. its smallest unit given its decimal precision (for example, satoshis for BTC, wei for ETH). For example, 0.064 ETH (18 decimals) is represented as 64000000000000000, and 0.05 BTC (8 decimals) is represented as 5000000.

The returned URL contains an opaque, time-limited token. Use the URL exactly as returned and redirect the customer promptly.

Body
object
ramp_redirect_url
string(uri)required
get/sell
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/sell?fiat=ISO%204217&amount=123&crypto=string&payment=revolut&region=string&wallet=string&orderId=uuid%20%7C%20ulid&partnerRedirectUrl=https%3A%2F%2Fexample.com" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "ramp_redirect_url": "https://ramp.revolut.com/partner-sell-checkout?fiatCurrency=GBP&amount=64000000000000000&cryptoCurrency=ETH&blockchain=ETHEREUM&partnerId=a01798bc-7f0b-14ed-a12b-0e3fac1209ad&paymentMethod=REVOLUT&externalOrderId=2d1769bc-7aab-92ed-a10b-0232ac12090d&walletAddress=0x96e2B7Bf479f84e7A0a94f0620290B7D3E08f5EF&region=GB&partnerRedirectUrl=https%3A%2F%2Fcrypto.partner.com%2Forder%3ForderId%3D2d1769bc-7aab-92ed-a10b-0232ac12090d&token=token"
}

Retrieve a sell order

Use this endpoint for the sell (off-ramp) flow. Retrieve a sell order by the order_id provided in the path. This is the same identifier you passed as orderId when calling /sell.

Request

Header parameters
X-API-KEY
Path parameters
order_id
string(uuid | ulid)required

Response

OK

Body
object
id
string(uuid | ulid)
fiat
objectrequired
crypto
objectrequired
fees
objectrequired
exchange_rate
number(float)required
payment
stringrequired
created_at
string(date-time)required
updated_at
string(date-time)required
status
stringrequired
fail_reason
string
wallet
string
transaction_hash
string
fees_partner_currency
objectrequired
get/sell-orders/{order_id}
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/sell-orders/uuid | ulid" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "id": "2d1769bc-7aab-92ed-a10b-0232ac12090d",
  "fiat": {
    "amount": 98,
    "currency": "GBP"
  },
  "crypto": {
    "amount": 0.064,
    "currencyId": "ETH"
  },
  "fees": {
    "ramp_fee": {
      "amount": 1,
      "currency": "GBP"
    },
    "partner_fee": {
      "amount": 1,
      "currency": "GBP"
    }
  },
  "exchange_rate": 1562.5,
  "payment": "revolut",
  "created_at": "2022-12-26T11:32:10Z",
  "updated_at": "2022-12-26T11:33:54Z",
  "status": "COMPLETED",
  "wallet": "0x96e2B7Bf479f84e7A0a94f0620290B7D3E08f5EF",
  "transaction_hash": "76cfb3b4f0acd595fa5b24036e86fd21d3c7b9887b2c8e3d4007598e4cbe6957",
  "fees_partner_currency": {
    "ramp_fee": {
      "amount": 1.16,
      "currency": "EUR"
    },
    "partner_fee": {
      "amount": 1.16,
      "currency": "EUR"
    }
  }
}

Retrieve all sell orders

Use this endpoint for the sell (off-ramp) flow. Retrieve all sell orders in a date range.

The results are sorted chronologically by the created_at date (i.e. oldest first).

Request

Header parameters
X-API-KEY
Query parameters
start
string(date)required
end
string(date)required
skip
integer(int32)
limit
integer(int32)

Response

OK

Body
array of object
id
string(uuid | ulid)
fiat
objectrequired
crypto
objectrequired
fees
objectrequired
exchange_rate
number(float)required
payment
stringrequired
created_at
string(date-time)required
updated_at
string(date-time)required
status
stringrequired
fail_reason
string
wallet
string
transaction_hash
string
fees_partner_currency
objectrequired
get/sell-orders
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/sell-orders?start=2024-01-01&end=2024-01-01&skip=0&limit=100" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

[
  {
    "id": "2d1769bc-7aab-92ed-a10b-0232ac12090d",
    "fiat": {
      "amount": 98,
      "currency": "GBP"
    },
    "crypto": {
      "amount": 0.064,
      "currencyId": "ETH"
    },
    "fees": {
      "ramp_fee": {
        "amount": 1,
        "currency": "GBP"
      },
      "partner_fee": {
        "amount": 1,
        "currency": "GBP"
      }
    },
    "exchange_rate": 1562.5,
    "payment": "revolut",
    "created_at": "2022-12-26T11:32:10Z",
    "updated_at": "2022-12-26T11:33:54Z",
    "status": "COMPLETED",
    "wallet": "0x96e2B7Bf479f84e7A0a94f0620290B7D3E08f5EF",
    "transaction_hash": "76cfb3b4f0acd595fa5b24036e86fd21d3c7b9887b2c8e3d4007598e4cbe6957",
    "fees_partner_currency": {
      "ramp_fee": {
        "amount": 1.16,
        "currency": "EUR"
      },
      "partner_fee": {
        "amount": 1.16,
        "currency": "EUR"
      }
    }
  },
  {
    "fiat": {
      "amount": 143.5,
      "currency": "EUR"
    },
    "crypto": {
      "amount": 0.0021,
      "currencyId": "BTC"
    },
    "fees": {
      "ramp_fee": {
        "amount": 1.5,
        "currency": "EUR"
      }
    },
    "exchange_rate": 69047.62,
    "payment": "revolut",
    "created_at": "2023-01-05T09:15:22Z",
    "updated_at": "2023-01-05T09:20:11Z",
    "status": "FAILED",
    "fail_reason": "EXPIRED",
    "fees_partner_currency": {}
  }
]

Webhooks

Retrieve a webhook

Request

Header parameters
X-API-KEY
Path parameters
webhook_id
string(uuid)required

Response

The information about the webhook

Body
object
id
string(uuid)required
url
string(uri)required
events
arrayrequired
signing_secret
stringrequired
get/webhooks/{webhook_id}
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/webhooks/123e4567-e89b-12d3-a456-426614174000" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "id": "c518d8cc-114b-d2ed-a10b-0a32ac1c0e4f",
  "url": "https://crypto.partner.com/revolut",
  "events": [
    "ORDER_PROCESSING",
    "ORDER_COMPLETED",
    "SELL_ORDER_PROCESSING",
    "SELL_ORDER_COMPLETED"
  ],
  "signing_secret": "wsk_h1ETWMz2g1bB7gCONjNp84t2KSSIt7rs"
}

Update a webhook

Request

Header parameters
X-API-KEY
Path parameters
webhook_id
string(uuid)required
Request body
url
string(uri)
events
array

Response

The successfully updated webhook

Body
object
id
string(uuid)required
url
string(uri)required
events
arrayrequired
signing_secret
stringrequired
patch/webhooks/{webhook_id}
curl -X PATCH "https://ramp-partners.revolut.com/partners/api/2.0/webhooks/123e4567-e89b-12d3-a456-426614174000" \
  -H "Content-Type: application/json" \
  -H "X-API-KEY: <X-API-KEY>" \
  -d '{
  "url": "https://example.com",
  "events": [
    "ORDER_CREATED"
  ]
}'
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Request body samples

{
  "url": "https://example.com",
  "events": [
    "ORDER_CREATED"
  ]
}

Response body samples

{
  "id": "c518d8cc-114b-d2ed-a10b-0a32ac1c0e4f",
  "url": "https://crypto.partner.com/revolut",
  "events": [
    "ORDER_PROCESSING",
    "ORDER_COMPLETED",
    "SELL_ORDER_PROCESSING",
    "SELL_ORDER_COMPLETED"
  ],
  "signing_secret": "wsk_h1ETWMz2g1bB7gCONjNp84t2KSSIt7rs"
}

Delete a webhook

Request

Header parameters
X-API-KEY
Path parameters
webhook_id
string(uuid)required

Response

The webhook has been deleted

delete/webhooks/{webhook_id}
curl -X DELETE "https://ramp-partners.revolut.com/partners/api/2.0/webhooks/123e4567-e89b-12d3-a456-426614174000" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

No contentThis response does not have a body.

Retrieve a list of webhooks

Request

Header parameters
X-API-KEY

Response

The list of all your existing webhooks

Body
array of object
id
string(uuid)required
url
string(uri)required
events
arrayrequired
signing_secret
stringrequired
get/webhooks
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/webhooks" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

[
  {
    "id": "c518d8cc-114b-d2ed-a10b-0a32ac1c0e4f",
    "url": "https://crypto.partner.com/revolut",
    "events": [
      "ORDER_PROCESSING",
      "ORDER_COMPLETED"
    ],
    "signing_secret": "wsk_h1ETWMz2g1bB7gCONjNp84t2KSSIt7rs"
  },
  {
    "id": "fb39d967-4a73-4483-8e52-5842e1cad7ef",
    "url": "https://crypto.partner.com/revolut",
    "events": [
      "ORDER_PROCESSING",
      "ORDER_COMPLETED"
    ],
    "signing_secret": "wsk_8fT55z3C5hCr41l6B0b057D85s2043x4"
  },
  {
    "id": "894b00c1-da1f-44bb-b887-62af2e0d3bad",
    "url": "https://example.com",
    "events": [
      "ORDER_PROCESSING",
      "ORDER_COMPLETED",
      "ORDER_CREATED",
      "ORDER_FAILED",
      "SELL_ORDER_CREATED",
      "SELL_ORDER_PROCESSING",
      "SELL_ORDER_COMPLETED",
      "SELL_ORDER_FAILED",
      "SELL_ORDER_EXPIRED",
      "SELL_ORDER_REFUNDED",
      "SELL_ORDER_CREDITED_AS_CRYPTO"
    ],
    "signing_secret": "wsk_7gH67v2D8jEt52n9M1c068F96t3152y7"
  }
]

Create a webhook

Request

Header parameters
X-API-KEY
Request body
url
string(uri)required
events
arrayrequired

Response

The successfully created webhook

Body
object
id
string(uuid)required
url
string(uri)required
events
arrayrequired
signing_secret
stringrequired
post/webhooks
curl -X POST "https://ramp-partners.revolut.com/partners/api/2.0/webhooks" \
  -H "Content-Type: application/json" \
  -H "X-API-KEY: <X-API-KEY>" \
  -d '{
  "url": "https://example.com",
  "events": [
    "ORDER_CREATED"
  ]
}'
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Request body samples

{
  "url": "https://example.com",
  "events": [
    "ORDER_CREATED"
  ]
}

Response body samples

{
  "id": "c518d8cc-114b-d2ed-a10b-0a32ac1c0e4f",
  "url": "https://crypto.partner.com/revolut",
  "events": [
    "ORDER_PROCESSING",
    "ORDER_COMPLETED",
    "SELL_ORDER_PROCESSING",
    "SELL_ORDER_COMPLETED"
  ],
  "signing_secret": "wsk_h1ETWMz2g1bB7gCONjNp84t2KSSIt7rs"
}